//Pyrotechie
//thanks mostlikely

//[sounds]
//fx/weapons/grenade_explode_UW.wav
//fx/armor/thrust_UW.wav


datablock AudioProfile(FireWorksExplosionSound)
{
   filename    = "fx/weapons/grenade_explode_UW.wav";
   description = AudioExplosion3d;
   preload = true;
   effect = GrenadeExplosionEffect;
};



datablock ParticleData(FireworksParticle)
{
   dragCoeffiecient     = 0.0;
   gravityCoefficient   = 0.0;
   inheritedVelFactor   = 0.0;

   lifetimeMS           = 1000;
   lifetimeVarianceMS   = 200;

   spinRandomMin = -200.0;
   spinRandomMax =  200.0;
   windcoefficient = 0;
   textureName          = "special/flarespark";

   colors[0]     = "1.0 1.0 1.0 1.0";
   colors[1]     = "1.0 1.0 1.0 1.0";
   colors[2]     = "1.0 1.0 1.0 1.0";

   sizes[0]      = 4;
   sizes[1]      = 2;
   sizes[2]      = 1;

   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1.0;

};


datablock ParticleEmitterData(FireWorksEmitter)
{
   lifetimeMS        = 0;
   ejectionPeriodMS = 10;
   periodVarianceMS = 0;

   ejectionVelocity = 10.0;
   velocityVariance = 5.0;
   ejectionoffset = 5;
   thetaMin         = 0.0;
   thetaMax         = 180.0;


   orientParticles  = true;
   orientOnVelocity = true;

   particles = "FireWorksParticle";
};

datablock ExplosionData(FwGrenadeExplosion)
{
   soundProfile   = FireWorksExplosionSound;
};

datablock FlareProjectileData(FwGrenadeProj)
{
   projectileShapeName = "grenade_projectile.dts";
   emitterDelay        = -1;
   directDamage        = 0.0;
   hasDamageRadius     = false;
   kickBackStrength    = 1500;
   useLensFlare        = false;

   sound 	        = FlareGrenadeBurnSound;
   explosion           = FwGrenadeExplosion;
   velInheritFactor    = 0.5;

   texture[0]          = "special/flare3";
   texture[1]          = "special/LensFlare/flare00";
   size                = 4.0;

   //baseEmitter         = FlareEmitter;
   lifetimeMS        = 5000;
   explodeOnDeath    = true;
   grenadeElasticity = 0.35;
   grenadeFriction   = 0.2;
   armingDelayMS     = 250000;
   muzzleVelocity    = 15.0;
   drag = 0.1;
   gravityMod = 1.0;
   endemitter = FireWorksEmitter;
};



//[flares]
//special/flare3
//skins/flaregreen
//skins/jetflare00-05
//skins/jetflare2
//skins/plasma_muzzle
//skins/BlueImpact
//flarebase


//[stuff]
//special/bigspark
//special/bluespark
//special/blasterboltcross
//special/flarespark
//special/landspikeboltcross
//special/lightfalloffmono
//special/redflare
//special/shrikeboltcross
//special/spark00
//special/tracercross
//special/underwaterspark


datablock ParticleData(FireworksParticle01):FireworksParticle
{
textureName          = "special/flarespark";
};

datablock ParticleEmitterData(FireWorksEmitter01):FireWorksEmitter
{
thetaMin         = 0.0;
thetaMax         = 180.0;
phiReferenceVel = "0";
phiVariance = "360";
ejectionVelocity = 25.0;
velocityVariance = 15.0;
ejectionoffset = 10;
orientParticles  = true;
orientOnVelocity = true;
particles = "FireWorksParticle01";
};

datablock FlareProjectileData(FwGrenadeProj01):FwGrenadeProj
{
endemitter = FireWorksEmitter01;
texture[0] = "special/flare3";
};

datablock ParticleData(FireworksParticle02):FireworksParticle
{
textureName          = "special/underwaterspark";
colors[0]     = "0.0 1.0 0.0 1.0";
colors[1]     = "0.0 1.0 0.0 1.0";
colors[2]     = "0.0 1.0 0.0 1.0";
};

datablock ParticleEmitterData(FireWorksEmitter02):FireWorksEmitter
{

thetaMin         = 0.0;
thetaMax         = 180.0;
phiReferenceVel = "0";
phiVariance = "20";
ejectionVelocity = 10.0;
velocityVariance = 5;
ejectionoffset = 10;

orientParticles  = true;
orientOnVelocity = true;
particles = "FireWorksParticle02";
};

datablock FlareProjectileData(FwGrenadeProj02):FwGrenadeProj
{
endemitter = FireWorksEmitter02;
texture[0] = "skins/flaregreen";
};

datablock ParticleData(FireworksParticle03):FireworksParticle
{
textureName          = "special/bluespark";
};

datablock ParticleEmitterData(FireWorksEmitter03):FireWorksEmitter
{
thetaMin         = 0.0;
thetaMax         = 180.0;
phiReferenceVel = "0";
phiVariance = "360";
ejectionVelocity = 5.0;
velocityVariance = 2.5;
ejectionoffset = 2;
orientParticles  = true;
orientOnVelocity = true;
particles = "FireWorksParticle03";
};

datablock FlareProjectileData(FwGrenadeProj03):FwGrenadeProj
{
endemitter = FireWorksEmitter03;
texture[0] = "special/BlueImpact";
};


datablock ParticleData(FireworksParticle04):FireworksParticle
{
textureName          = "special/underwaterspark";
};

datablock ParticleEmitterData(FireWorksEmitter04):FireWorksEmitter
{
thetaMin         = 70.0;
thetaMax         = 110.0;
phiReferenceVel = "0";
phiVariance = "360";

ejectionVelocity = 5.0;
velocityVariance = 2.5;
orientParticles  = true;
orientOnVelocity = true;
particles = "FireWorksParticle04";
};

datablock FlareProjectileData(FwGrenadeProj04):FwGrenadeProj
{
endemitter = FireWorksEmitter04;
texture[0] = "flarebase";
};

datablock ParticleData(FireworksParticle05):FireworksParticle
{
textureName          = "special/bigspark";
};

datablock ParticleEmitterData(FireWorksEmitter05):FireWorksEmitter
{
thetaMin         = 0.0;
thetaMax         = 30.0;
phiReferenceVel = "0";
phiVariance = "360";
ejectionoffset = 10;
ejectionVelocity = 5.0;
velocityVariance = 2.5;

orientParticles  = true;
orientOnVelocity = true;
particles = "FireWorksParticle05";
};

datablock FlareProjectileData(FwGrenadeProj05):FwGrenadeProj
{
endemitter = FireWorksEmitter05;
texture[0] = "special/tracercross";
};
